---
title: <altGlyph>
slug: Web/SVG/Element/altGlyph
tags:
  - Deprecated
  - Element
  - Reference
  - SVG
  - SVG Text Content
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The <strong><code>&lt;altGlyph&gt;</code></strong> SVG element allows sophisticated selection of the glyphs used to render its child character data.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt>{{SVGAttr("x")}}</dt>
 <dd>This attribute defines the corresponding absolute x-coordinates for rendering the element.<br>
 <small><em>Value type</em>: <a href="/en-US/docs/Web/SVG/Content_type#List-of-Ts"><strong>&lt;list-of-coordinates&gt;</strong></a> ; <em>Default value</em>: Absolute x-coordinate of ancestor {{SVGElement("text")}} or {{SVGElement("tspan")}}; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("y")}}</dt>
 <dd>This attribute defines the corresponding absolute y-coordinates for rendering the element.<br>
 <small><em>Value type</em>: <a href="/en-US/docs/Web/SVG/Content_type#List-of-Ts"><strong>&lt;list-of-coordinates&gt;</strong></a> ; <em>Default value</em>: Absolute y-coordinate of ancestor {{SVGElement("text")}} or {{SVGElement("tspan")}}; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("dx")}}</dt>
 <dd>This attribute indicates a shift along the x-axis on the position of the element.<br>
 <small><em>Value type</em>: <a href="/en-US/docs/Web/SVG/Content_type#List-of-Ts"><strong>&lt;list-of-coordinates&gt;</strong></a> ; <em>Default value</em>: Relative x-coordinate of ancestor {{SVGElement("text")}} or {{SVGElement("tspan")}}; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("dy")}}</dt>
 <dd>This attribute indicates a shift along the x-axis on the position of the element.<br>
 <small><em>Value type</em>: <a href="/en-US/docs/Web/SVG/Content_type#List-of-Ts"><strong>&lt;list-of-coordinates&gt;</strong></a> ; <em>Default value</em>: Relative y-coordinate of ancestor {{SVGElement("text")}} or {{SVGElement("tspan")}}; <em>Animatable</em>: <strong>yes</strong></small></dd>
 <dt>{{SVGAttr("rotate")}}</dt>
 <dd>This attribute defines the supplemental rotation that will be applied to the element.<br>
 <small><em>Value type</em>: <a href="/en-US/docs/Web/SVG/Content_type#List-of-Ts"><strong>&lt;list-of-numbers&gt;</strong></a> ; <em>Default value</em>: <em>none</em>; <em>Animatable</em>: <strong>yes (non-additive)</strong></small></dd>
 <dt>{{SVGAttr("glyphRef")}}</dt>
 <dd>The glyph identifier, the format of which is dependent on the format defined by the <code>format</code> attribute of the given font.<br>
 <small><em>Value type</em>: <strong>&lt;string&gt;</strong> ; <em>Default value</em>: <em>none</em>; <em>Animatable</em>: <strong>no</strong></small></dd>
 <dt>{{SVGAttr("format")}}</dt>
 <dd>The format of the given font.<br>
 <small><em>Value type</em>: <strong>&lt;string</strong><a href="/docs/Web/SVG/Content_type#Percentage"><strong>&gt;</strong></a> ; <em>Default value</em>: <em>none</em>; <em>Animatable</em>: <strong>no</strong></small></dd>
 <dt>{{SVGAttr("xlink:href")}}</dt>
 <dd>An <a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a> reference either to a {{SVGElement("glyph")}} element in an SVG document or to an {{SVGElement("altGlyphDef")}} element.<br>
 <br>
 If the reference is to a {{SVGElement("glyph")}} element and that glyph is available, then that glyph is rendered instead of the character(s) that are inside of the {{SVGElement("altGlyph")}} element.<br>
 <br>
 If the reference is to an {{SVGElement("altGlyphDef")}} element, then if an appropriate set of alternate glyphs is located from processing the {{SVGElement("altGlyphDef")}} element, then those alternate glyphs are rendered instead of the character(s) that are inside of the {{SVGElement("altGlyph")}} element.<br>
 <small><em>Value type</em>: <a href="/en-US/docs/Web/SVG/Content_type#IRI"><strong>&lt;iri</strong></a><a href="/docs/Web/SVG/Content_type#Percentage"><strong>&gt;</strong></a> ; <em>Default value</em>: <em>none</em>; <em>Animatable</em>: <strong>no</strong></small></dd>
</dl>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/en-US/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr("id")}} {{SVGAttr("lang")}}</small></dd>
 <dt><a href="/en-US/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr("class")}}, {{SVGAttr("style")}}</small></dd>
 <dt><a href="/en-US/docs/Web/SVG/Attribute/Conditional_Processing">Conditional Processing Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr("requiredExtensions")}}, {{SVGAttr("systemLanguage")}}</small></dd>
 <dt>Event Attributes</dt>
 <dd><small><a href="/en-US/docs/Web/SVG/Attribute/Events#Global_Event_Attributes">Global event attributes</a>, <a href="/en-US/docs/Web/SVG/Attribute/Events#Document_Element_Event_Attributes">Document element event attributes</a>, <a href="/en-US/docs/Web/SVG/Attribute/Events#Graphical_Event_Attributes">Graphical event attributes</a></small></dd>
 <dt><a href="/en-US/docs/Web/SVG/Attribute/Presentation">Presentation Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr("clip-path")}}, {{SVGAttr("clip-rule")}}, {{SVGAttr("color")}}, {{SVGAttr("color-interpolation")}}, {{SVGAttr("color-rendering")}}, {{SVGAttr("cursor")}}, {{SVGAttr("display")}}, {{SVGAttr("dominant-baseline")}}, {{SVGAttr("fill")}}, {{SVGAttr("fill-opacity")}}, {{SVGAttr("fill-rule")}}, {{SVGAttr("filter")}}, {{SVGAttr("mask")}}, {{SVGAttr("opacity")}}, {{SVGAttr("pointer-events")}}, {{SVGAttr("shape-rendering")}}, {{SVGAttr("stroke")}}, {{SVGAttr("stroke-dasharray")}}, {{SVGAttr("stroke-dashoffset")}}, {{SVGAttr("stroke-linecap")}}, {{SVGAttr("stroke-linejoin")}}, {{SVGAttr("stroke-miterlimit")}}, {{SVGAttr("stroke-opacity")}}, {{SVGAttr("stroke-width")}}, {{SVGAttr("text-anchor")}}, {{SVGAttr("transform")}}, {{SVGAttr("vector-effect")}}, {{SVGAttr("visibility")}}</small></dd>
 <dt>XLink Attributes</dt>
 <dd><small>{{SVGAttr("xlink:href")}}, {{SVGAttr("xlink:type")}}, {{SVGAttr("xlink:role")}}, {{SVGAttr("xlink:arcrole")}}, {{SVGAttr("xlink:title")}}, {{SVGAttr("xlink:show")}}, {{SVGAttr("xlink:actuate")}}</small></dd>
</dl>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGAltGlyphElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG1.1', 'text.html#AltGlyphElement', '&lt;altGlyph&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.altGlyph")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("tspan")}}</li>
 <li>{{SVGElement("glyph")}}</li>
 <li>{{SVGElement("altGlyphDef")}}</li>
</ul>
